View Issue Details

IDProjectCategoryView StatusLast Update
0003317PartDesignBugpublic2018-01-22 19:33
Reportergalou_breizhAssigned Toabdullah 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.17 
Target Version0.17Fixed in Version0.17 
Summary0003317: PDN: bug in "Mirrored Feature" with multiple features
DescriptionIn PartDesign Next I can create a "Mirrored feature" with multiple features but, from the original features, only the first one is still "done".

Cf. https://forum.freecadweb.org/viewtopic.php?f=3&t=26413.
Steps To Reproduce- Make a pad from a sketch
- Make a pocket in this pad from a sketch
- Mirror both features at once, starting with the pad
- Notice that the newly created holed pad is ok but the original one is missing the hole.
Additional InformationOS: Ubuntu 14.04.5 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.13042 (Git)
Build type: None
Branch: master
Hash: 9a215440b8a0140dbc2e8778e66cf63feeac7114
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 7.1.0
Locale: English/UnitedStates (en_US)
TagsNo tags attached.

Activities

galou_breizh

2018-01-18 07:23

reporter  

bug_multi-feature_mirror.fcstd (31,904 bytes)
after_mirror.png (52,778 bytes)
after_mirror.png (52,778 bytes)
before_mirror.png (51,250 bytes)
before_mirror.png (51,250 bytes)

abdullah

2018-01-19 18:02

manager   ~0010798

https://github.com/FreeCAD/FreeCAD/pull/1235

wmayer

2018-01-22 19:33

administrator   ~0010817

https://github.com/FreeCAD/FreeCAD/commit/01e6cde7aaa792efdd82d2a83c4598fc663b2d31

Issue History

Date Modified Username Field Change
2018-01-18 07:23 galou_breizh New Issue
2018-01-18 07:23 galou_breizh File Added: bug_multi-feature_mirror.fcstd
2018-01-18 07:23 galou_breizh File Added: after_mirror.png
2018-01-18 07:23 galou_breizh File Added: before_mirror.png
2018-01-18 14:07 Kunda1 Project File formats => PartDesign
2018-01-19 02:50 normandc Category General => Bug
2018-01-19 02:50 normandc Product Version => 0.17
2018-01-19 02:50 normandc Target Version => 0.17
2018-01-19 16:35 abdullah Assigned To => abdullah
2018-01-19 16:35 abdullah Status new => assigned
2018-01-19 18:02 abdullah Note Added: 0010798
2018-01-22 19:33 wmayer Status assigned => closed
2018-01-22 19:33 wmayer Resolution open => fixed
2018-01-22 19:33 wmayer Fixed in Version => 0.17
2018-01-22 19:33 wmayer Note Added: 0010817